<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
	extract($_POST);
	
	
	
	if($elpago==1){
	$qPP = "Insert into pagos values('$idreg', '$banco', '$cuenta', '$folio')";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
	$qPP = "update regs2 set status='1', fechaf='$fecha_f', impuestos='$impuestos', pagado='$eldeposito', observaciones='$comentarios' where idreg=$idreg";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());}
	
	if($elpago==2){
	$qPP = "Insert into pagos values('$idreg', '14', 'Efectivo', '$folio')";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
	$qPP = "update regs2 set status='2', fechaf='$fecha_f', impuestos='$impuestos', pagado='$eldeposito', observaciones='$comentarios' where idreg=$idreg";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());}
	
	if($elpago==3){
	$qPP = "Insert into pagos values('$idreg', '14', 'Producto', '$folio')";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
	$qPP = "update regs2 set status='3', fechaf='$fecha_f', impuestos='$impuestos', pagado='$eldeposito', observaciones='$comentarios' where idreg=$idreg";
	$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());}
	echo"<center>
	El deposito ha sido dado de alta en sistema exitosamente<br><br>
	<form name=\"Agrega\" action=\"pagarregalias.php\" method=\"post\">
	 <input type=\"submit\" value=\"Regresar\" name=\"pago\"></form>
	
	</center>"
	
	?>